Description

Wars of Liberty Patch official updater for Windows OS

Preview
Wars of Liberty Updater
Comments
John25-
John25-

won't be able to play before a few days,,what's new? :)

Reply Good karma Bad karma+3 votes
_RedHawk Author
_RedHawk

Hey nothing atm, still v1.07 we just want to put up the files up on here ModDB as well :)

Reply Good karma+2 votes
John25-
John25-

I saw some civilizations do nothing in single player games, will you try to solve that?

Reply Good karma Bad karma+2 votes
_RedHawk Author
_RedHawk

Its because they have no ai. The only working ones are ye vanilla cubs, Latin American, Australia

Reply Good karma+2 votes
UnstoppableStreletsy
UnstoppableStreletsy

Its good to see that this updater has been released on mod db. Dont forget about my guide on the mod forum to making a wine wrapper where you can use this updater.

Reply Good karma Bad karma+2 votes
_RedHawk Author
_RedHawk

Cheers mate!

Reply Good karma+2 votes
Extinrebok
Extinrebok

Why Zulu and Egyptian Artificial Intelligence (AI) Not Work ?
LINK VIDEO
Youtu.be
Map: Delta
Standart Game

Reply Good karma Bad karma+1 vote
_RedHawk Author
_RedHawk

It doesnt have ai

Reply Good karma+1 vote
_RedHawk Author
_RedHawk

the AI should work now for Zulu

Reply Good karma+1 vote
Bryce581
Bryce581

was a bit of a hassle to install, but i have to say im having so much fun with this mod! can't wait for more ai updates! well done

Reply Good karma Bad karma+2 votes
tonykille551
tonykille551

arnt you supporsed be aloud to go to the great war this? is it coming back?

Reply Good karma Bad karma+1 vote
Guest
Guest

depois que instalei o war of liberty, o meu age of empires 3 está dando falha na inicialização.. como resolver ?

Reply Good karma Bad karma+1 vote
idodoappo
idodoappo

every directory i tell the updater to download to it says that its not valid

Reply Good karma Bad karma+1 vote
Extinrebok
Extinrebok

I just copies Bin and rename it as Wars of Liberty

Reply Good karma Bad karma+1 vote
Guest
Guest

Does the congress battalions works to you?

Reply Good karma Bad karma+1 vote
Guest
Guest

no funciona la actualizacion udater.4 el de abril

Reply Good karma Bad karma+1 vote
Guest
Guest

Out of Sync error at multiplayer

Reply Good karma Bad karma+1 vote
Guest
Guest

How should I run the updater file?

Reply Good karma Bad karma+1 vote
ReinholdMessner
ReinholdMessner

Hello. I really enjoyed this mod but I have never got the updater to work so I hoped someone here might be of help. Just to add aswell, I have my firewall turned off when I install and I am connected to wifi and I meet the requirements. My java is also completely updated. So here are my error messages:
Imgur.com
Imgur.com
Imgur.com
Imgur.com
Imgur.com

Thank you for your help.

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Royal140
Royal140

After installing the updater I get an error that says Failed to load required library uhc_wrapper.dll. how do I solve it?

Reply Good karma Bad karma+1 vote
Guest
Guest

says that I need java.

Reply Good karma Bad karma0 votes
_RedHawk Author
_RedHawk

yes you do need java

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.